{ inputs, pkgs, ... }:
let
    zenPkg = inputs.zen-browser.packages.${pkgs.stdenv.system}.beta;
in
{
    programs.zen-browser.profiles.school = {
        id = 1;
        name = "school";
        # extensions.force = true;
        #extensions = ffExtensions;
        #settings = ffSettings;
    };
    xdg.desktopEntries.zen-browser_school = {
        name = "Zen Browser (School)";
        genericName = "Web Browser (School)";
        exec = "${zenPkg}/bin/zen-beta --name zen-browser_school -P school %U";
        terminal = false;
        categories = [ "Network" "WebBrowser" ];
        mimeType = [
            "text/html"
            "text/xml"
            "application/xhtml+xml"
            "application/vnd.mozilla.xul+xml"
            "x-scheme-handler/http"
            "x-scheme-handler/https"
        ];
        icon = "zen-browser";
        actions = {
            "new-window" = {
                name = "New Window";
                exec = "${zenPkg}/bin/zen-beta --name zen-browser_school -P school --new-window %u";
            };
            "private-window" = {
                name = "New Private Window";
                exec = "${zenPkg}/bin/zen-beta --name zen-browser_school -P school --private-window %u";
            };
        };
        settings = {
            Type = "Application";
            Version = "1.4";
            StartupNotify = "true";
            StartupWMClass = "zen-browser_school";
        };
    };
}